ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

PIC

# Documentation

cmmMakeDynamicReference :: CmmMakeDynamicReferenceM m => DynFlags -> ReferenceKind -> CLabel -> m CmmExpr

class Monad m => CmmMakeDynamicReferenceM m where

Methods

addImport :: CLabel -> m ()

getThisModule :: m Module

Instances

CmmMakeDynamicReferenceM NatM |

data ReferenceKind

Constructors

DataReference |
CallReference |
JumpReference |

Instances

Eq ReferenceKind |

needImportedSymbols :: DynFlags -> Arch -> OS -> Bool

pprImportedSymbol :: DynFlags -> Platform -> CLabel -> SDoc

pprGotDeclaration :: DynFlags -> Arch -> OS -> SDoc

initializePicBase_ppc :: Arch -> OS -> Reg -> [NatCmmDecl CmmStatics Instr] -> NatM [NatCmmDecl CmmStatics Instr]

initializePicBase_x86 :: Arch -> OS -> Reg -> [NatCmmDecl (Alignment, CmmStatics) Instr] -> NatM [NatCmmDecl (Alignment, CmmStatics) Instr]